Skip to main content

Get PCAP step hex dump

GET
/files/{id}/pcap-step-hex

Returns the hexadecimal dump for one PCAP step.

Contract

Parameter
Value
Sectionfiles
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

4 parameters

Name
Location
Required
Type
Description
idpathyesintegerFile ID
clientIpquerynostringClient IP whose session should be viewed
sessionquerynointegerOne-based session index
stepquerynointegerOne-based step index

Responses

5 responses

Status
Description
Type
200
Successful responseobject
400
Invalid file ID or session/step not foundobject
401
Unauthorizedobject
404
File not foundobject
500
Failed to read fileobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }